import Vue from 'vue'
import App from './App.vue';
import router from './router';
import './assets/style/reset.less';
import iView from 'iview'
import 'iview/dist/styles/iview.css'; // 使用 CSS
import UI from './../packages/index'

import echarts from 'echarts'
Vue.prototype.$echarts = echarts;

// import UI from 'plus-project-op'
// import 'plus-project-op/lib/plus.css'


Vue.config.productionTip = false
Vue.use(iView)
Vue.use(UI)

router.beforeEach((to, from, next) => {
    if (to.meta.title) {
        document.title = to.meta.title
    }
    next()
})

new Vue({
    router,
    render: h => h(App),
}).$mount('#app')